OPENSSL-VERSION(1SSL)

NUME
openssl-version - afișează informații despre versiunea OpenSSL

SINOPSIS
openssl version [-help] [-a] [-v] [-b] [-o] [-f] [-p] [-d] [-e] [-m] [-r] [-c] [-w]

DESCRIERE
Această comandă este utilizată pentru a afișa informații despre versiunea OpenSSL.

OPȚIUNI

-help
    Afișează acest mesaj de utilizare.

-a  Toate informațiile, acest lucru este la fel ca definirea tuturor celorlalte opțiuni.

-v  Versiunea curentă a OpenSSL.

-b  Data la care a fost creată versiunea curentă a OpenSSL.

-o  Informații privind opțiunile: diverse opțiuni stabilite la crearea bibliotecii.

-f  Opțiunii de compilare.

-p  Definirea platformei.

-d  Definirea variabilei OPENSSLDIR.

-e  Definirea variabilei ENGINESDIR.

-m  Definirea variabilei MODULESDIR.

-r  Parametrii sursei generatorului de numere aleatorii.

-c  Informații despre opțiunile CPU OpenSSL.

-w  Variabila de timp de construcție OpenSSL OSSL_WINCTX, dacă este definită. Utilizată pentru calcularea numelor cheilor din registrul Windows. Această opțiune nu este disponibilă pe platformele non-Windows.

ISTORIC
În versiunile OpenSSL anterioare versiunii 3.4, OpenSSL avea o limitare în ceea ce privește macrourile OPENSSLDIR, MODULESDIR și ENGINESDIR la momentul construirii. Aceste macro-uri erau definite la momentul compilării și reprezentau rute ale sistemului de fișiere. Aceasta este o practică obișnuită pe sistemele de tip unix, deoarece se așteaptă ca o anumită construcție să fie instalată într-o locație predeterminată. Pe Windows, însă, nu există o astfel de așteptare, deoarece bibliotecile pot fi instalate în locații arbitrare. OSSL_WINCTX a fost introdusă ca o nouă variabilă de timp de compilare pentru a defini un set de chei de registru identificate prin numele openssl-<version>-<ctx>, în care valoarea <version> este derivată din șirul versiunii din sursa openssl, iar extensia <ctx> este derivată din variabila OSSL_WINCTX. Valorile OPENSSLDIR, ENGINESDIR și MODULESDIR pot fi definite la diferite rute sub această cheie pentru a nu mai fi necesară prezicerea rutei de instalare în momentul compilării.

NOTE
Rezultatul «openssl version -a» va fi utilizat în mod normal atunci când trimiteți un raport de eroare.

DREPTURI DE AUTOR
Drepturi de autor 2000-2024 The OpenSSL Project Authors. Toate drepturile rezervate.

Licențiat sub Licența Apache 2.0 („License”). Nu aveți voie să utilizați acest fișier decât în conformitate cu licența. Puteți obține o copie din fișierul LICENSE din distribuția sursei sau de la <https://www.openssl.org/source/license.html>.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.